# Generated by Django 4.1.7 on 2023-03-10 12:03

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Url',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('full_url', models.URLField(help_text='full_url | Полный URL-адрес (Uniform Resource Locator – унифицированный указатель информационного ресурса)', verbose_name='Полный URL-адрес')),
                ('short_url', models.URLField(help_text='short_url | Укороченный URL-адрес', verbose_name='Укороченный URL-адрес')),
                ('count_transitions', models.IntegerField(default=0, help_text='count_transitions | Количество переходов по URL-адресу', verbose_name='Количество переходов')),
                ('session_key', models.CharField(help_text='session_key | Идентификатор сессии пользователя', max_length=32, verbose_name='Идентификатор сессии')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Обновлено')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Создано')),
            ],
            options={
                'verbose_name': 'Url-адрес',
                'verbose_name_plural': 'Url-адреса',
            },
        ),
    ]
